You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
28 lines
808 B
28 lines
808 B
From d802e985aed9dbe48f7b9165f3eddd0be7d47c27 Mon Sep 17 00:00:00 2001 |
|
From: Harald Hoyer <harald@redhat.com> |
|
Date: Tue, 7 Jan 2014 14:34:55 +0100 |
|
Subject: [PATCH] fcoe-uefi: do not include, if fcoe utils not installed |
|
|
|
--- |
|
modules.d/95fcoe-uefi/module-setup.sh | 4 +++- |
|
1 file changed, 3 insertions(+), 1 deletion(-) |
|
|
|
diff --git a/modules.d/95fcoe-uefi/module-setup.sh b/modules.d/95fcoe-uefi/module-setup.sh |
|
index 653d88eb..c91f7754 100755 |
|
--- a/modules.d/95fcoe-uefi/module-setup.sh |
|
+++ b/modules.d/95fcoe-uefi/module-setup.sh |
|
@@ -4,6 +4,9 @@ |
|
|
|
# called by dracut |
|
check() { |
|
+ for i in dcbtool fipvlan lldpad ip readlink; do |
|
+ type -P $i >/dev/null || return 1 |
|
+ done |
|
return 0 |
|
} |
|
|
|
@@ -17,4 +20,3 @@ depends() { |
|
install() { |
|
inst_hook cmdline 20 "$moddir/parse-uefifcoe.sh" |
|
} |
|
-
|
|
|